Bug 1182677 - busybox-1.22.1 doesn't build for platforms that use the bundled uClibc because the patch doesn't apply
Summary: busybox-1.22.1 doesn't build for platforms that use the bundled uClibc becaus...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: busybox
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-01-15 17:27 UTC by Peter Robinson
Modified: 2015-03-13 17:04 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-13 17:04:13 UTC


Attachments (Terms of Use)

Description Peter Robinson 2015-01-15 17:27:59 UTC
busybox-1.22.1-1.fc22 has the following issue on the "%ifarch ppc %{power64} s390 s390x aarch64" platforms:

+ echo 'Patch #3 (busybox-1.19-rlimit_fsize.patch):'
Patch #3 (busybox-1.19-rlimit_fsize.patch):
+ /usr/bin/cat /home/perobins/fedora/random-pkg/busybox/busybox-1.19-rlimit_fsize.patch
+ /usr/bin/patch -p1 -b --suffix .rlimit_fsize --fuzz=0
patching file include/libbb.h
Hunk #1 FAILED at 35.
1 out of 1 hunk FAILED -- saving rejects to file include/libbb.h.rej
error: Bad exit status from /var/tmp/rpm-tmp.uhyI5s (%prep)

Comment 1 Jakub Čajka 2015-03-05 13:46:56 UTC
Hello, it seems that this patch is no longer needed as <sys/resource.h> seems to be included where needed. Busybox builds fine without the patch.

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2393154
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1749933
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2911272

Comment 2 Fedora Update System 2015-03-05 14:32:42 UTC
busybox-1.22.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/busybox-1.22.1-2.fc22

Comment 3 Fedora Update System 2015-03-05 17:11:58 UTC
Package busybox-1.22.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing busybox-1.22.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3294/busybox-1.22.1-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-03-13 17:04:13 UTC
busybox-1.22.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.